$window-color: map-get($text-colors, 'normal') !default;
$window-background: map-get($background-colors, 'window') !default;
$selection-background: color('orange', 'alpha', 50) !default;

$scrollbar-size: map-get(map-get($application, scrollbar), size) !default;
$scrollbar-background: rgba(0, 0, 0, .05) !default;
$scrollbar-thumb: rgba(0, 0, 0, .05) !default;
$scrollbar-thumb-hover: rgba(0, 0, 0, .1) !default;


// Establishes a font baseline for the given font-size
@include establish-baseline;


// Icon selectors
//@include generate-icons;


///
/// Global pseudo classes
///
///
:root {
  @include set-background($window-background);

  text-size-adjust: 100%;
  color: $window-color;
}


:disabled {
  @extend %disabled;
}


:focus {
  outline: none;
}


::before,
::after {
  box-sizing: border-box;
}


::selection {
  background-color: $selection-background;
}


///
/// Global elements' attributes
///
///
[hidden] {
  @extend %hidden;
}


[disabled],
[aria-disabled='true'] {
  @extend %disabled;
}


///
/// Custom icon styling
///
///
[icon]::before,
[icon-second]::after {
  @extend %icon;
}


///
/// Scrollbar styling
///
///
::-webkit-scrollbar {
  width: $scrollbar-size;
}

::-webkit-scrollbar-track {
  border-radius: 5px;
  background: $scrollbar-background;
}

::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: $scrollbar-thumb;

  &:window-inactive {
    background: $scrollbar-thumb;
  }

  &:hover {
    background: $scrollbar-thumb-hover;
  }
}

